Subject: Re: bug#27930: 24.5; The underline of hyperlink text is unbounded

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Sep 2019 10:39:36 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 29 Sep 2019 03:58:25 +0200
> Cc: martin rudalics <[email-masked]>, [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: hw <[email-masked]>
> >> Date: Thu, 03 Aug 2017 20:43:42 +0800
> >>
> >>
> >> When I reference to Info node with "C-x h handle-switch-frame RET",
> >> I get the *Help* buffer poped up. The first line shows:
> >>
> >> handle-switch-frame is an interactive built-in function in `C source
> >> code'
> >>
> >> The text "C source code" above is a hyperlink so it is blue with
> >> underline, but the underline extend to the right edge of
> >> the buffer window, which I think should stop at the end line right
> >> after the text "source". So the text above in my text teminal looks
> >> like this:
> >>
> >> <left>                 <mid>                   <right>
> >> XXXX function in `____________________________________
> >> ___'.
> >
> > I think this is expected on a TTY: the face of the last character is
> > extended all the way to the end of the window.  That's how Emacs was
> > designed to work in this case.
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Fri, 04 Aug 2017 10:55:00 +0200
> >> From: martin rudalics <[email-masked]>
> >> CC: [email-masked], [email-masked]
> >>
> >>  >> But it works the same way on a GUI frame.
> >>  >
> >>  > Not here, it doesn't.  Maybe there's some kind of misunderstanding.
> >>
> >> Indeed.  A similar problem on a GUI occurs with the following
> >> customization:
> >>
> >> (custom-set-faces
> >>   '(button ((t (:background "#D8D0C8" :box (:line-width 2 :color "grey72")))))
> >>   '(highlight ((t (:inherit button :box (:line-width 2 :style released-button))))))
> >
> > Yes, that's the intended behavior of :box.
> 
> According to the above, this all works as expected.  I'm therefore
> closing this as notabug.

We might be able to do something with this when the "face extension"
branch is merged.